package cn.iocoder.yudao.module.order.convert.targetLog;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.targetLog.*;
import cn.iocoder.yudao.module.order.dal.dataobject.targetLog.TargetLogDO;

/**
 * 部门业绩日志 Convert
 * @author 系统管理员
 */
@Mapper
public interface TargetLogConvert {
    /*****转换MapStruct*****/
    TargetLogConvert INSTANCE = Mappers.getMapper(TargetLogConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    TargetLogDO convert(TargetLogCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    TargetLogDO convert(TargetLogUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    TargetLogBackVO convert(TargetLogDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<TargetLogBackVO> convertList(List<TargetLogDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<TargetLogBackVO> convertPage(PageResult<TargetLogDO> page);
}
